## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: libphonenumber
Version: 8.13.52
Release: %autorelease
Summary: Library to handle international phone numbers
# The project itself is ASL 2.0 but contains files from Chromium which are BSD and MIT.
# Automatically converted from old format: ASL 2.0 and BSD and MIT - review is highly recommended.
License: Apache-2.0 AND LicenseRef-Callaway-BSD AND LicenseRef-Callaway-MIT
URL: https://github.com/google/libphonenumber/
Source0: https://github.com/google/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:  libphonenumber-8.13.27-new-protobuf-cmake-logic.patch

BuildRequires: abseil-cpp-devel
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gtest-devel
%ifarch %{java_arches}
BuildRequires: java-devel
%endif
BuildRequires: libicu-devel
BuildRequires: protobuf-compiler
BuildRequires: protobuf-devel
BuildRequires: re2-devel

%description
Google's common C++ library for parsing, formatting, storing and validating
international phone numbers.


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: abseil-cpp-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1
# Gtest 1.13.0 requires at least C++14; C++17 matches how abseil-cpp is built;
# simply setting -DCMAKE_CXX_STANDARD=17 does not override this in practice.
sed -r -i 's/\b(CMAKE_CXX_STANDARD[[:blank:]]+)11\b/\117/' \
    cpp/CMakeLists.txt tools/cpp/CMakeLists.txt


%build
pushd cpp
%ifarch %{java_arches}
%cmake \
%else
touch src/phonenumbers/test_metadata.h
%cmake -DREGENERATE_METADATA=OFF \
%endif
    -DCMAKE_POSITION_INDEPENDENT_CODE=ON
%cmake_build
popd


%install
pushd cpp
%cmake_install
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete
popd


%files
%doc cpp/README
%license cpp/LICENSE
%{_libdir}/libgeocoding.so.8*
%{_libdir}/libphonenumber.so.8*


%files devel
%{_includedir}/phonenumbers
%{_libdir}/libgeocoding.so
%{_libdir}/libphonenumber.so
%{_libdir}/cmake/libphonenumber/


%changelog
## START: Generated by rpmautospec
* Fri Dec 13 2024 Packit <hello@packit.dev> - 8.13.52-1
- Update to 8.13.52 upstream release
- Resolves: rhbz#2329814

* Mon Dec 09 2024 Pete Walter <pwalter@fedoraproject.org> - 8.13.50-3
- Rebuild for ICU 76

* Sun Dec 08 2024 Pete Walter <pwalter@fedoraproject.org> - 8.13.50-2
- Rebuild for ICU 76

* Sat Nov 16 2024 Packit <hello@packit.dev> - 8.13.50-1
- Update to 8.13.50 upstream release
- Resolves: rhbz#2315050

* Sat Sep 07 2024 Packit <hello@packit.dev> - 8.13.45-1
- Update to 8.13.45 upstream release
- Resolves: rhbz#2300190

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 8.13.41-4
- convert license to SPDX

* Sun Aug 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 8.13.41-3
- Rebuilt for abseil-cpp-20240722.0

* Thu Aug 15 2024 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 8.13.41-2
- Rebuild for re2 20240702

* Thu Jul 25 2024 Packit <hello@packit.dev> - 8.13.41-1
- Update to 8.13.41 upstream release
- Resolves: rhbz#2290613

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.13.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 16 2024 Packit <hello@packit.dev> - 8.13.37-1
- Update to 8.13.37 upstream release
- Resolves: rhbz#2280837

* Fri May 03 2024 Packit <hello@packit.dev> - 8.13.36-1
- Update to 8.13.36 upstream release
- Resolves: rhbz#2278927

* Fri Apr 19 2024 Packit <hello@packit.dev> - 8.13.35-1
- Update to 8.13.35 upstream release
- Resolves: rhbz#2273675

* Mon Mar 25 2024 Packit <hello@packit.dev> - 8.13.33-1
- [packit] 8.13.33 upstream release
- Resolves rhbz#2269223

* Sun Feb 25 2024 Packit <hello@packit.dev> - 8.13.31-1
- [packit] 8.13.31 upstream release
- Resolves rhbz#2265930

* Fri Feb 09 2024 Packit <hello@packit.dev> - 8.13.30-1
- [packit] 8.13.30 upstream release
- Resolves rhbz#2263484

* Sun Feb 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 8.13.29-3
- Rebuilt for abseil-cpp-20240116.0

* Sun Feb 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 8.13.29-2
- Fix chronologically disordered changelog

* Fri Feb 02 2024 Packit <hello@packit.dev> - 8.13.29-1
- [packit] 8.13.29 upstream release
- Resolves rhbz#2258931

* Wed Jan 31 2024 Pete Walter <pwalter@fedoraproject.org> - 8.13.28-8
- Rebuild for ICU 74

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.13.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 8.13.28-6
- Always build as position-independent code (PIC)

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.13.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Sérgio M. Basto <sergio@serjux.com> - 8.13.28-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
